Interface Backups

All Known Implementing Classes:
BackupsImpl

public interface Backups
Client interface for managing device backups on Network Edge. Provides operations to list, retrieve, download, and create device backups, as well as check restore feasibility.
Author:
ianjones
  • Method Details

    • list

      PaginatedList<Backup> list(String deviceUuid)
      Lists available backups for the provided deviceUuid.
      Parameters:
      deviceUuid - the unique device identifier.
      Returns:
      PaginatedList
    • list

      PaginatedList<Backup> list(String deviceUuid, RequestBuilder.Backup requestBuilder)
      Lists available backups for the provided deviceUuid and desired query parameters.
      Parameters:
      deviceUuid - the unique device identifier.
      requestBuilder - the desired query parameters.
      Returns:
      PaginatedList
    • getByUuid

      Backup getByUuid(String uuid)
      Gets the specified backup.
      Parameters:
      uuid - the unique identifier of the backup.
      Returns:
      Backup
    • download

      String download(String uuid)
      Gets the contents of the specified backup.
      Parameters:
      uuid - the unique identifier of the backup.
      Returns:
      String
    • checkRestoreFeasibility

      RestoreFeasibility checkRestoreFeasibility(String uuid, String deviceUuid)
      Gets the information as to the feasibility of a specific restore operation.
      Parameters:
      uuid - the unique identifier of the backup.
      deviceUuid - the unique identifier of the device.
      Returns:
      RestoreFeasibility
    • define

      BackupOperator.BackupBuilder define(String deviceUuid, String backupName)
      Returns an instance of BackupBuilder for defining a new backup.
      Parameters:
      deviceUuid - the unique identifier of the device.
      backupName - the name of the new backup.
      Returns:
      BackupOperator.BackupBuilder